Subject: RE: [Enum] IETF, ENUM and NGN

From: "Stastny Richard" <[email-masked]>
Date: Wed, 30 Jun 2004 07:20:14 -0400

John Curran [mailto:jcurran at istaff.org] wrote:
> 
> Hmm...  If some operators really and truly intend to run a data tree
> which is not publicly visible, than I see no need for any standard in
> this area.  The operator (or set of operators which share such a data
> tree) can simply configure an appropriate domain of their choice.
[Richard>] 
Good point. On the other hand, if somebody wants to query both trees
one after the other, it would be nice if the same algorithms and SW could
be used.

This was the basic question I had on Infrastructure ENUM:
Is there anything carriers would like to have in RFC3761 we do 
not now, speak up. If not, fine.

> The operator community should be encouraged to put some nominal
> information for their number blocks in the Public ENUM tree, even if this
> is nothing more than a single wildcard record pointing to a default server
> for that operator.  As numbers port, it should be very straightforward
> to insert an appropriate specific DNS record to direct queries to the
> new provider as appropriate, including the degenerate case where a
> knowledgeable user (or user with knowledgeable party under contract)
> arranges to have richer connectivity information put in place under their
> entry.
[Richard>] 
That was exactly what I proposed in a previous e-mail. There is only
one drawback: since wildcards do not work in this case, there is no 
straightforward solution. There is one, but it is not straightforward
(provided by Jim)
It requires a second query for the enclosing zone.

It has also be discussed on this list some two month ago and is already
contained in ETSI TS 102 172 V2.

Richard

_______________________________________________
enum mailing list
enum at ietf.org
https://www1.ietf.org/mailman/listinfo/enum

---

From: "Stastny Richard" <[email-masked]>
Date: Wed, 30 Jun 2004 09:00:06 -0400

Jim Reid [mailto:jim at rfc1035.com] wrote:

> 
>     Richard> This is easy, as I already stated and many SER
>     Richard> and Asterisk based SIP server already query more then one
>     Richard> tree now. Its one line of code.
> 
> That must be a very long line of code if it can query multiple domain
> names, prioritise the order they're used, arbitrate between conflicting
> answers and do all of the other policy stuff that's needed.
[Richard>] Yes, these a clever guys ;-)

No Jim, KISS.

Easiest thing to do is query one tree after the other, first ENUM and then
Infrastructure ENUM. If you get an answer in ENUM, you are done, no
arbitration necessary.
As I said: Infrastructure ENUM is the equivalent to "dump the call to the 
PSTN".

I also said here on the list many times: they do it already with e164.arpa,
freenum.org for 800 numbers and then to the PSTN (1 2 3). As a user I just
dial a phone number. BTW, freenum.org is very convenient for long phone conferences with the US, this is a service the PSTN cannot provide.

No problem whatsoever.

Richard